Skip to main content
POST
/
access-token
Generate a New Access Token
curl --request POST \
  --url https://api.cartesia.ai/access-token \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grants": {
    "tts": true,
    "stt": true,
    "agent": true
  },
  "expires_in": 123
}
'
import requests

url = "https://api.cartesia.ai/access-token"

payload = {
    "grants": {
        "tts": True,
        "stt": True,
        "agent": True
    },
    "expires_in": 123
}
headers = {
    "Cartesia-Version": "<cartesia-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Cartesia-Version': '<cartesia-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({grants: {tts: true, stt: true, agent: true}, expires_in: 123})
};

fetch('https://api.cartesia.ai/access-token', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "token": "<string>"
}

Authorizations

Authorization
string
header
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-03-01
required

API version header.

Available options:
2026-03-01
Example:

"2026-03-01"

Body

application/json
grants
TokenGrant · object | null

The permissions to be granted via the token. Both TTS and STT grants are optional - specify only the capabilities you need.

expires_in
integer | null

The number of seconds the token will be valid for since the time of generation. The maximum is 1 hour (3600 seconds).

Response

200 - application/json
token
string
required

The generated Access Token.